> For the complete documentation index, see [llms.txt](https://docs.tabnine.com/main/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tabnine.com/main/administering-tabnine/managing-your-team.md).

# Private Installation

Tabnine Enterprise customers have the option of deploying **a private, self-hosted** version of the Tabnine cluster.

### Options

* Virtual private cloud (VPC) on AWS, GCP, or Azure
* On-premises on your own servers

\* Private installations can be deployed in a completely air-gapped environment.

### Setup and Updates

In a private installation deployment, the Tabnine team has no access to your servers, but the Tabnine professional team works with your team to set up and frequently update your Tabnine installation.

### System Requirements

Tabnine's private installation has [minimal and recommended server specs](/main/welcome/readme/system-requirements.md#tabnine-cluster) for each type of deployment, which is based on the expected number of users.

Read [VPC on-premises cluster requirements](/main/welcome/readme/system-requirements.md#tabnine-cluster).

### Have additional questions?

If you want to learn more about Tabnine's private installation options, please [contact Sales](https://www.tabnine.com/contact-us/?utm_source=docs\&utm_medium=organic\&utm_campaign=docs).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tabnine.com/main/administering-tabnine/managing-your-team.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
